v_vcresampler: V_vcresampler_v3_0

| v_vcresampler Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Data Structures
V_vcresampler_v3_0

## Data Structures
struct | XV_Vcresampler_l2
| V Chroma Resampler Layer 2 data. More...

## Hw Configuration
The following constants define the vert. resampler HW MAX configuration
enum | XV_VCRESAMPLER_TAPS
| This typedef enumerates the supported taps. More...
enum | XV_VCRESAMPLER_CONVERSION
| This typedef enumerates the conversion type. More...
enum | XV_VCRESAMPLER_TYPE
| This typedef enumerates the resampling algorithm. More...
int | XV_VcrsmplInitialize (XV_Vcresampler_l2 *InstancePtr, u16 DeviceId)
| This function initializes the core instance. More...
void | XV_VCrsmplStart (XV_Vcresampler_l2 *InstancePtr)
| This function starts the Chroma resampler core. More...
void | XV_VCrsmplStop (XV_Vcresampler_l2 *InstancePtr)
| This function stops the Chroma resampler core. More...
void | XV_VCrsmplLoadDefaultCoeff (XV_Vcresampler_l2 *InstancePtr)
| This function loads default filter coefficients in the chroma resampler coefficient storage based on the selected TAP configuration. More...
void | XV_VCrsmplrLoadExtCoeff (XV_Vcresampler_l2 *InstancePtr, u16 num_taps, const short *Coeff)
| This function loads user defined filter coefficients in the horiz. More...
void | XV_VCrsmplSetActiveSize (XV_Vcresampler_l2 *InstancePtr, u32 width, u32 height)
| This function configures the Chroma resampler active resolution. More...
void | XV_VCrsmplSetFormat (XV_Vcresampler_l2 *InstancePtr, XVidC_ColorFormat formatIn, XVidC_ColorFormat formatOut)
| This function configures the Chroma resampler for the required format conversion. More...
void | XV_VCrsmplDbgReportStatus (XV_Vcresampler_l2 *InstancePtr)
| This function prints Chroma Resampler status on the console. More...
#define | XV_VCRSMPLR_MAX_TAPS (10)
#define | XV_VCRSMPLR_MAX_PHASES (2)

## Enumeration Type Documentation

enum XV_VCRESAMPLER_CONVERSION

This typedef enumerates the conversion type.

enum XV_VCRESAMPLER_TAPS

This typedef enumerates the supported taps.

enum XV_VCRESAMPLER_TYPE

This typedef enumerates the resampling algorithm.

## Function Documentation

void XV_VCrsmplDbgReportStatus | ( | XV_Vcresampler_l2 * | InstancePtr | ) |

This function prints Chroma Resampler status on the console.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None

References XV_vcresampler_Config::BaseAddress, XV_vcresampler::Config, XV_vcresampler_Config::NumTaps, and XV_vcresampler_Config::ResamplingType.

int XV_VcrsmplInitialize | ( | XV_Vcresampler_l2 * | InstancePtr,
|  | u16 | DeviceId
| ) |  |

This function initializes the core instance.

Parameters

  InstancePtr | is a pointer to core instance to be worked upon
  DeviceId | is instance id of the core

Returns
  XST_SUCCESS if device is found and initialized XST_DEVICE_NOT_FOUND if device is not found

void XV_VCrsmplLoadDefaultCoeff | ( | XV_Vcresampler_l2 * | InstancePtr | ) |

This function loads default filter coefficients in the chroma resampler coefficient storage based on the selected TAP configuration.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None

References XV_vcresampler::Config, XV_vcresampler_Config::NumTaps, and XV_VCrsmplrLoadExtCoeff().

void XV_VCrsmplrLoadExtCoeff | ( | XV_Vcresampler_l2 * | InstancePtr,
|  | u16 | num_taps,
|  | const short * | Coeff
| ) |  |

This function loads user defined filter coefficients in the horiz.

chroma resampler coefficient storage

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  num_taps | is the number of taps
  Coeff | is a pointer to user defined filter coefficients table

Returns
  None

References XV_vcresampler::Config, and XV_vcresampler_Config::NumTaps.

Referenced by XV_VCrsmplLoadDefaultCoeff().

void XV_VCrsmplSetActiveSize | ( | XV_Vcresampler_l2 * | InstancePtr,
|  | u32 | width,
|  | u32 | height
| ) |  |

This function configures the Chroma resampler active resolution.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  width | is the active frame width
  height | is the active frame height

Returns
  None

void XV_VCrsmplSetFormat | ( | XV_Vcresampler_l2 * | InstancePtr,
|  | XVidC_ColorFormat | formatIn,
|  | XVidC_ColorFormat | formatOut
| ) |  |

This function configures the Chroma resampler for the required format conversion.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  formatIn | is the input chroma format
  formatOut | is required chroma format

Returns
  None

References XV_vcresampler::Config, and XV_vcresampler_Config::ResamplingType.

void XV_VCrsmplStart | ( | XV_Vcresampler_l2 * | InstancePtr | ) |

This function starts the Chroma resampler core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None

void XV_VCrsmplStop | ( | XV_Vcresampler_l2 * | InstancePtr | ) |

This function stops the Chroma resampler core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None